package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolStairRemoveitemRequest struct {
	/*
	   商品sku信息     */
	Param0 *domain.AlibabaHmMarketingItempoolStairRemoveitemItemPoolSku `json:"param0" required:"true" `
	/*
	   活动信息     */
	Param1 *domain.AlibabaHmMarketingItempoolStairRemoveitemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaHmMarketingItempoolStairRemoveitemRequest) SetParam0(v domain.AlibabaHmMarketingItempoolStairRemoveitemItemPoolSku) *AlibabaHmMarketingItempoolStairRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairRemoveitemRequest) SetParam1(v domain.AlibabaHmMarketingItempoolStairRemoveitemCommonActivityParam) *AlibabaHmMarketingItempoolStairRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItempoolStairRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolStairRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
